/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2016 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.platform.raspberry.ui.editor;

import org.fortiss.af3.platform.compose.IPlatformHierarchicalCompositionRules;
import org.fortiss.af3.platform.model.IArchitectureDomain;
import org.fortiss.af3.platform.raspberry.compositor.RaspberryPlatformHierarchicalCompositionRules;
import org.fortiss.af3.platform.raspberry.model.RaspberryPi2;
import org.fortiss.af3.platform.ui.editor.PlatformComponentStructureEditorBase;

/**
 * 
 * @author chaudhary
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating RED Hash:
 */
public class RaspberryPi2StructureEditor extends PlatformComponentStructureEditorBase<RaspberryPi2> {

	/** {@inheritDoc} */
	@Override
	public IPlatformHierarchicalCompositionRules getPlatformCompositionRules() {
		return RaspberryPlatformHierarchicalCompositionRules.INSTANCE;
	}

	/** {@inheritDoc} */
	@Override
	protected Class<? extends IArchitectureDomain> getEditedObjectClass() {
		return RaspberryPi2.class;
	}

}
